Package wx :: Package lib :: Module customtreectrl :: Class TreeEvent

[frames | no frames]

## Type TreeEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
              CommandTreeEvent --+
                                 |
                                TreeEvent

Method Summary
| ``__init__`(self, type, id, item, evtKey, point, label, **kwargs)` Default class constructor.
| ``Allow`(self)` The event is allowed.
| ``GetNotifyEvent`(self)` Returns the actual wx.NotifyEvent.
| ``IsAllowed`(self)` Returns whether the event is allowed or not.
| ``Veto`(self)` Vetos the event.

Property Summary

Method Details

### __init__(self, type, id, item=None, evtKey=None, point=None, label=None, **kwargs)
(Constructor)

Default class constructor. For internal use: do not call it in your code!

  Overrides:
    `wx.lib.customtreectrl.CommandTreeEvent.__init__`

### Allow(self)

The event is allowed.

### GetNotifyEvent(self)

Returns the actual wx.NotifyEvent.

### IsAllowed(self)

Returns whether the event is allowed or not.

### Veto(self)

Vetos the event.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:18 2007 | http://epydoc.sf.net